package cc.smtweb.framework.core.db.vo;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;
import lombok.Data;

@Data
@SwTable(value = "ASP_MODEL_DATABASE")
public class ModelDatabase extends DefaultEntity {
    public final static String ENTITY_NAME = "ASP_MODEL_DATABASE";

    public ModelDatabase() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("db_id");
    }

    public void setId(long dbId) {
        put("db_id", dbId);
    }

    public long getPrjId() {
        return getLong("db_prj_id");
    }

    public void setPrjId(long dbPrjId) {
        put("db_prj_id", dbPrjId);
    }

    public String getName() {
        return getStr("db_name");
    }

    public void setName(String dbName) {
        put("db_name", dbName);
    }

    public String getTitle() {
        return getStr("db_title");
    }

    public void setTitle(String dbTitle) {
        put("db_title", dbTitle);
    }

    public int getStatus() {
        return getInt("db_status");
    }

    public void setStatus(int dbStatus) {
        put("db_status", dbStatus);
    }

    public int getVersion() {
        return getInt("db_version");
    }

    public void setVersion(int dbVersion) {
        put("db_version", dbVersion);
    }

    public long getCreateUid() {
        return getLong("db_create_uid");
    }

    public void setCreateUid(long dbCreateUid) {
        put("db_create_uid", dbCreateUid);
    }

    public long getUpdateUid() {
        return getLong("db_update_uid");
    }

    public void setUpdateUid(long dbUpdateUid) {
        put("db_update_uid", dbUpdateUid);
    }

    public long getCreateAt() {
        return getLong("db_create_at");
    }

    public void setCreateAt(long dbCreateAt) {
        put("db_create_at", dbCreateAt);
    }

    public long getUpdateAt() {
        return getLong("db_update_at");
    }

    public void setUpdateAt(long dbUpdateAt) {
        put("db_update_at", dbUpdateAt);
    }
}
